<?php
/**
 * Regsiter Settings & Sections of the Wordpress Customizer 
 *
 * @author Pix & Hue
 */

add_action('customize_register', 'rilee_register_theme_customizer');

function rilee_register_theme_customizer($wp_customize) {

	global $rilee_global_font_class;


	/********************************************/
	/** Colors Panel
	*********************************************/	
	$wp_customize->add_panel('rilee_colors_panel', array(
		'title' => 'Rilee Colors',
		'capability'     => 'edit_theme_options',
		'priority' => 202,
	));

	/********************************************/
	/** General Site Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_general_colors_section' , array(
		'title'      => 'General Site Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 201,
	) );

	$wp_customize->add_setting(
		'rilee_link_color',
		array(
			'default'     => '#A18A7E',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_link_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	//Add Controls for Settings
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'link_color',
			array(
			    'label'      => 'Link Color',
			    'section'    => 'rilee_general_colors_section',
			    'settings'   => 'rilee_link_color',
			    'priority'   => 1,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'link_hover_color',
			array(
			    'label'      => 'Link Hover Color',
			    'section'    => 'rilee_general_colors_section',
			    'settings'   => 'rilee_link_hover_color',
			    'priority'   => 2,
			)
		)
	);

	/********************************************/
	/** Elementor Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_elementor_colors_section' , array(
		'title'      => 'Elementor Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 202,
	) );

	$wp_customize->add_setting(
		'rilee_elementor_portfolio_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'elementor_portfolio_hover_color',
			array(
			    'label'      => 'Portfolio | Filter Bar Hover Color',
			    'section'    => 'rilee_elementor_colors_section',
			    'settings'   => 'rilee_elementor_portfolio_hover_color',
			    'priority'   => 1,
			)
		)
	);

	/********************************************/
	/** Subscription Form Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_subscribe_colors_section' , array(
		'title'      => 'Subscription Form Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 203,
	) );

	$wp_customize->add_setting(
		'rilee_subscribe_footer_input_border_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_footer_placeholder_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_footer_submit_background_color',
		array(
			'default'     => '#A18A7E',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_footer_submit_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_footer_submit_bg_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_input_border_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_submit_background_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_submit_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_subscribe_submit_bg_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	//Add Controls for Settings
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_footer_input_border_color',
			array(
			    'label'      => 'Footer | Input Border Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_footer_input_border_color',
			    'priority'   => 1,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_footer_placeholder_text_color',
			array(
			    'label'      => 'Footer | Placeholder Text Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_footer_placeholder_text_color',
			    'priority'   => 2,
			)
		)
	);


	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_footer_submit_background_color',
			array(
			    'label'      => 'Footer | Submit Background Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_footer_submit_background_color',
			    'priority'   => 3,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_footer_submit_text_color',
			array(
			    'label'      => 'Footer | Submit Text Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_footer_submit_text_color',
			    'priority'   => 4,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_footer_submit_bg_hover_color',
			array(
			    'label'      => 'Footer | Submit Hover BG Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_footer_submit_bg_hover_color',
			    'priority'   => 5,
			)
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_input_border_color',
			array(
			    'label'      => 'Coming Soon | Input Border Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_input_border_color',
			    'priority'   => 6,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_submit_background_color',
			array(
			    'label'      => 'Coming Soon | Submit Background Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_submit_background_color',
			    'priority'   => 7,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_submit_text_color',
			array(
			    'label'      => 'Coming Soon | Submit Text Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_submit_text_color',
			    'priority'   => 8,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'subscribe_submit_bg_hover_color',
			array(
			    'label'      => 'Coming Soon | Submit Hover BG Color',
			    'section'    => 'rilee_subscribe_colors_section',
			    'settings'   => 'rilee_subscribe_submit_bg_hover_color',
			    'priority'   => 9,
			)
		)
	);

	/********************************************/
	/** Blog Layout Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_blog_layout_section' , array(
		'title'      => 'Blog Layout Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 204,
	) );

	$wp_customize->add_setting(
		'rilee_blog_title_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_setting(
		'rilee_blog_pagination_bg_color',
		array(
			'default'     => '#ECE7E5',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_blog_active_pagination_bg_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);


	//Add Controls for Setting
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'blog_title_hover_color',
			array(
			    'label'      => 'Blog Title | Hover Color',
			    'section'    => 'rilee_blog_layout_section',
			    'settings'   => 'rilee_blog_title_hover_color',
			    'priority'   => 1,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'blog_pagination_bg_color',
			array(
			    'label'      => 'Pagination | Background Color',
			    'section'    => 'rilee_blog_layout_section',
			    'settings'   => 'rilee_blog_pagination_bg_color',
			    'priority'   => 2,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'blog_active_pagination_bg_color',
			array(
			    'label'      => 'Pagination (Active) | Background Color',
			    'section'    => 'rilee_blog_layout_section',
			    'settings'   => 'rilee_blog_active_pagination_bg_color',
			    'priority'   => 3,
			)
		)
	);

	/********************************************/
	/** Single Post Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_single_post_section' , array(
		'title'      => 'Single Post Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 205,
	) );

	$wp_customize->add_setting(
		'rilee_post_cat_color',
		array(
			'default'     => '#A18A7E',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_post_date_color',
		array(
			'default'     => '#888888',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_post_tag_title_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_post_tag_bg_color',
		array(
			'default'     => '#E1DAD7',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_post_tag_text_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_post_tag_bg_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_comment_form_bg_color',
		array(
			'default'     => '#E1DAD7',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_comment_form_submit_bg_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_comment_form_submit_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_ymal_bg_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_ymal_title_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_setting(
		'rilee_ymal_date_color',
		array(
			'default'     => '#999999',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	//Add Controls for Settings
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'post_cat_color',
			array(
			    'label'      => 'Post Category | Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_post_cat_color',
			    'priority'   => 1,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'post_date_color',
			array(
			    'label'      => 'Post Date | Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_post_date_color',
			    'priority'   => 2,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'post_tag_title_color',
			array(
			    'label'      => 'Post Tag | Title Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_post_tag_title_color',
			    'priority'   => 3,
			)
		)
	);


	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'post_tag_bg_color',
			array(
			    'label'      => 'Post Tag | Background Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_post_tag_bg_color',
			    'priority'   => 4,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'post_tag_text_color',
			array(
			    'label'      => 'Post Tag | Text Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_post_tag_text_color',
			    'priority'   => 5,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'post_tag_bg_hover_color',
			array(
			    'label'      => 'Post Tag | Background Hover Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_post_tag_bg_hover_color',
			    'priority'   => 6,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'comment_form_bg_color',
			array(
			    'label'      => 'Comment Form | Background Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_comment_form_bg_color',
			    'priority'   => 7,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'comment_form_submit_bg_color',
			array(
			    'label'      => 'Comment Form | Submit BG Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_comment_form_submit_bg_color',
			    'priority'   => 8,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'comment_form_submit_text_color',
			array(
			    'label'      => 'Comment Form | Submit Text Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_comment_form_submit_text_color',
			    'priority'   => 9,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ymal_bg_color',
			array(
			    'label'      => 'You May Also Like | BG Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_ymal_bg_color',
			    'priority'   => 10,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ymal_title_color',
			array(
			    'label'      => 'You May Also Like | Title Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_ymal_title_color',
			    'priority'   => 11,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'ymal_date_color',
			array(
			    'label'      => 'You May Also Like | Date Color',
			    'section'    => 'rilee_single_post_section',
			    'settings'   => 'rilee_ymal_date_color',
			    'priority'   => 12,
			)
		)
	);

	
	/********************************************/
	/** Sidebar Site Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_sidebar_section' , array(
		'title'      => 'Sidebar Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 206,
	) );

	$wp_customize->add_setting(
		'rilee_sidebar_widget_bg_color',
		array(
			'default'     => '#E1DAD7',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_widget_title_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_widget_text_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_widget_border_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_about_bg_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_about_title_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_about_text_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_map_bg_color',
		array(
			'default'     => '#A18A7E',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_map_icon_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_map_text_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_map_city_text_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_tag_cloud_bg_color',
		array(
			'default'     => '#A18A7E',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_tag_cloud_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_search_border_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_search_submit_bg_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_sidebar_search_submit_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_widget_bg_color',
			array(
			    'label'      => 'Widget | Background Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_widget_bg_color',
			    'priority'   => 1,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_widget_title_color',
			array(
			    'label'      => 'Widget | Title Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_widget_title_color',
			    'priority'   => 2,
			)
		)
	);


	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_widget_text_color',
			array(
			    'label'      => 'Widget | Text Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_widget_text_color',
			    'priority'   => 3,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_widget_border_color',
			array(
			    'label'      => 'Widget | Border Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_widget_border_color',
			    'priority'   => 4,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_about_bg_color',
			array(
			    'label'      => 'About Widget | Background Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_about_bg_color',
			    'priority'   => 5,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_about_title_color',
			array(
			    'label'      => 'About Widget | Title Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_about_title_color',
			    'priority'   => 6,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_about_text_color',
			array(
			    'label'      => 'About Widget | Text Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_about_text_color',
			    'priority'   => 7,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_map_bg_color',
			array(
			    'label'      => 'Map Widget | Background Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_map_bg_color',
			    'priority'   => 8,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_map_icon_color',
			array(
			    'label'      => 'Map Widget | Icon Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_map_icon_color',
			    'priority'   => 9,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_map_text_color',
			array(
			    'label'      => 'Map Widget | Title Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_map_text_color',
			    'priority'   => 10,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_map_city_text_color',
			array(
			    'label'      => 'Map Widget | City Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_map_city_text_color',
			    'priority'   => 11,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_tag_cloud_bg_color',
			array(
			    'label'      => 'Tag Cloud | Background Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_tag_cloud_bg_color',
			    'priority'   => 12,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_tag_cloud_text_color',
			array(
			    'label'      => 'Tag Cloud | Text Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_tag_cloud_text_color',
			    'priority'   => 13,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_search_border_color',
			array(
			    'label'      => 'Search Widget | Border Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_search_border_color',
			    'priority'   => 14,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_search_submit_bg_color',
			array(
			    'label'      => 'Search Widget | Button BG Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_search_submit_bg_color',
			    'priority'   => 15,
			)
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'sidebar_search_submit_text_color',
			array(
			    'label'      => 'Search Widget | Button Text Color',
			    'section'    => 'rilee_sidebar_section',
			    'settings'   => 'rilee_sidebar_search_submit_text_color',
			    'priority'   => 16,
			)
		)
	);
	
	/********************************************/
	/** Footer Site Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_footer_section' , array(
		'title'      => 'Footer Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 207,
	) );

	$wp_customize->add_setting(
		'rilee_copyright_bg_color',
		array(
			'default'     => '#ffffff',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_setting(
		'rilee_copyright_text_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'copyright_bg_color',
			array(
			    'label'      => 'Copyright | Background Color',
			    'section'    => 'rilee_footer_section',
			    'settings'   => 'rilee_copyright_bg_color',
			    'priority'   => 1,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'copyright_text_color',
			array(
			    'label'      => 'Copyright | Text Color',
			    'section'    => 'rilee_footer_section',
			    'settings'   => 'rilee_copyright_text_color',
			    'priority'   => 2,
			)
		)
	);
	
	
	/********************************************/
	/** Shop Colors
	*********************************************/
	$wp_customize->add_section( 'rilee_shop_colors_section' , array(
		'title'      => 'Shop Colors',
		'panel'		 => 'rilee_colors_panel',
		'description'=> '',
		'priority'   => 208,
	) );

	$wp_customize->add_setting(
		'rilee_shop_star_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_shop_sale_icon_bg_color',
		array(
			'default'     => '#A18A7E',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_shop_sale_icon_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_shop_sale_icon_bg_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_shop_button_bg_color',
		array(
			'default'     => '#000000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_shop_button_text_color',
		array(
			'default'     => '#FFFFFF',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_shop_button_bg_hover_color',
		array(
			'default'     => '#CCBFB9',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_setting(
		'rilee_shop_background_accent_color',
		array(
			'default'     => '#ECE8E5',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);


	//Add Controls for Settings
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_star_color',
			array(
			    'label'      => 'Star Rating | Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_star_color',
			    'priority'   => 1,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_sale_icon_bg_color',
			array(
			    'label'      => 'Sale Icon | Background Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_sale_icon_bg_color',
			    'priority'   => 2,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_sale_icon_text_color',
			array(
			    'label'      => 'Sale Icon | Text Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_sale_icon_text_color',
			    'priority'   => 3,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_sale_icon_bg_hover_color',
			array(
			    'label'      => 'Sale Icon | BG Hover Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_sale_icon_bg_hover_color',
			    'priority'   => 4,
			)
		)
	);


	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_button_bg_color',
			array(
			    'label'      => 'Button | Background Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_button_bg_color',
			    'priority'   => 5,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_button_text_color',
			array(
			    'label'      => 'Button | Text Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_button_text_color',
			    'priority'   => 6,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_button_bg_hover_color',
			array(
			    'label'      => 'Button | BG Hover Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_button_bg_hover_color',
			    'priority'   => 7,
			)
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'shop_background_accent_color',
			array(
			    'label'      => 'Shop | Background Accent Color',
			    'section'    => 'rilee_shop_colors_section',
			    'settings'   => 'rilee_shop_background_accent_color',
			    'priority'   => 8,
			)
		)
	);

	/********************************************/
	/** Theme Options Panel
	*********************************************/	
	$wp_customize->add_panel('rilee_theme_options_panel', array(
		'title' => 'Rilee Theme Options',
		'capability'     => 'edit_theme_options',
		'priority' => 203,
	));

	$wp_customize->add_section( 'rilee_single_options_section' , array(
		'title'      => 'Single Post Options',
		'panel'		 => 'rilee_theme_options_panel',
		'description'=> '',
		'priority'   => 201,
	) );

	$wp_customize->add_setting(
		'rilee_single_post_layout',
		array(
			'default'     => 'rilee-default-width',
			'sanitize_callback' => 'rilee_customizer_sanitize_select',
		)
	);

	$wp_customize->add_setting(
		'rilee_single_post_feat_image',
		array(
			'default'     => 'rilee-show-feat-image',
			'sanitize_callback' => 'rilee_customizer_sanitize_select',
		)
	);

	$wp_customize->add_setting(
		'rilee_single_post_date',
		array(
			'default'     => 'rilee-show-single-post-date',
			'sanitize_callback' => 'rilee_customizer_sanitize_select',
		)
	);

	$wp_customize->add_setting(
		'rilee_single_post_categories',
		array(
			'default'     => 'rilee-show-single-post-cat',
			'sanitize_callback' => 'rilee_customizer_sanitize_select',
		)
	);
	
	$wp_customize->add_setting(
		'rilee_single_post_tags',
		array(
			'default'     => 'rilee-show-tags',
			'sanitize_callback' => 'rilee_customizer_sanitize_select',
		)
	);

	$wp_customize->add_setting(
		'rilee_single_post_related_posts',
		array(
			'default'     => 'rilee-show-single-related-posts',
			'sanitize_callback' => 'rilee_customizer_sanitize_select',
		)
	);

	$wp_customize->add_control(
	    'rilee_single_post_layout',
	    array(
	        'label' => esc_html__('Select Single Post Layout', 'rilee'),
	        'section' => 'rilee_single_options_section',
	        'type' => 'select',
	        'priority' => 1,
	        'choices' => array(
	            'rilee-default-width' => esc_html__('Post With Sidebar', 'rilee'),
	            'rilee-full-width' => esc_html__('Full-Width Post', 'rilee'),
	            'rilee_fullwidth_narrow' => esc_html__('Full-Width Narrow Post', 'rilee'),
	        ),
	    )
	);

	$wp_customize->add_control(
	    'rilee_single_post_feat_image',
	    array(
	        'label' => esc_html__('Featured Image', 'rilee'),
	        'section' => 'rilee_single_options_section',
	        'type' => 'select',
	        'priority' => 2,
	        'choices' => array(
	            'rilee-show-feat-image' => esc_html__('Show Featured Image', 'rilee'),
	            'rilee-no-feat-image' => esc_html__('Hide Featured Image', 'rilee'),
	        ),
	    )
	);

	$wp_customize->add_control(
	    'rilee_single_post_date',
	    array(
	        'label' => esc_html__('Post Date', 'rilee'),
	        'section' => 'rilee_single_options_section',
	        'type' => 'select',
	        'priority' => 3,
	        'choices' => array(
	            'rilee-show-single-post-date' => esc_html__('Show Post Date', 'rilee'),
	            'rilee-no-single-post-date' => esc_html__('Hide Post Date', 'rilee'),
	        ),
	    )
	);

	$wp_customize->add_control(
	    'rilee_single_post_categories',
	    array(
	        'label' => esc_html__('Post Categories', 'rilee'),
	        'section' => 'rilee_single_options_section',
	        'type' => 'select',
	        'priority' => 4,
	        'choices' => array(
	            'rilee-show-single-post-cat' => esc_html__('Show Categories', 'rilee'),
	            'rilee-no-single-post-cat' => esc_html__('Hide Categories', 'rilee'),
	        ),
	    )
	);
	
	$wp_customize->add_control(
	    'rilee_single_post_tags',
	    array(
	        'label' => esc_html__('Tags', 'rilee'),
	        'section' => 'rilee_single_options_section',
	        'type' => 'select',
	        'priority' => 5,
	        'choices' => array(
	            'rilee-show-tags' => esc_html__('Show Tags', 'rilee'),
	            'rilee-no-tags' => esc_html__('Hide Tags', 'rilee'),
	        ),
	    )
	);

	$wp_customize->add_control(
	    'rilee_single_post_related_posts',
	    array(
	        'label' => esc_html__('Related Posts', 'rilee'),
	        'section' => 'rilee_single_options_section',
	        'type' => 'select',
	        'priority' => 6,
	        'choices' => array(
	            'rilee-show-single-related-posts' => esc_html__('Show Related Posts', 'rilee'),
	            'rilee-no-single-related-posts' => esc_html__('Hide Related Posts', 'rilee'),
	        ),
	    )
	);
	
	/* ----------------- Footer Options ----------------- */
	$wp_customize->add_section( 'rilee_footer_options_section' , array(
		'title'      => 'Footer Options',
		'panel'		 => 'rilee_theme_options_panel',
		'description'=> '',
		'priority'   => 202,
	) );

	$wp_customize->add_setting(
		'rilee_footer_custom_copyright',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
		)
	);

	$wp_customize->add_control(
	    'rilee_footer_custom_copyright',
	    array(
	        'label' => esc_html__('Footer | Add Custom Copyright Text', 'rilee'),
	        'section' => 'rilee_footer_options_section',
	        'type' => 'textarea',
	        'priority' => 1,
	    )
	);
}	